# Generated by Django 4.2.6 on 2024-06-20 15:55

from django.db import migrations


def delete_execution_environment_read_role(apps, schema_editor):
    permission_classes = [apps.get_model('auth', 'Permission'), apps.get_model('dab_rbac', 'DABPermission')]
    for permission_cls in permission_classes:
        ee_read_perm = permission_cls.objects.filter(codename='view_executionenvironment').first()
        if ee_read_perm:
            ee_read_perm.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0194_alter_inventorysource_source_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='executionenvironment',
            options={'default_permissions': ('add', 'change', 'delete'), 'ordering': ('-created',)},
        ),
        migrations.RunPython(delete_execution_environment_read_role, migrations.RunPython.noop),
    ]
